## org.eclipse.amp.amf.testing.ui.outline
Class ATestOutlineTreeProvider

    java.lang.Object
      org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider
          org.eclipse.amp.amf.testing.ui.outline.ATestOutlineTreeProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider, org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider

    public class ATestOutlineTreeProvider

extends org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider

customization of the default outline structure

Field Summary

Fields inherited from class org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider
`createChildrenDispatcher, createNodeDispatcher, imageDispatcher, isLeafDispatcher, labelProvider, locationInFileProvider, textDispatcher`

Constructor Summary
`ATestOutlineTreeProvider()`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider
`_createChildren, _createChildren, _createChildren, _createChildren, _createNode, _createNode, _image, _isLeaf, _isLeaf, _text, createChildren, createEObjectNode, createEStructuralFeatureNode, createNode, createRoot, nullSafeClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestOutlineTreeProvider

    public ATestOutlineTreeProvider()